Loading...
Searching...
No Matches
flexbox_helper.hpp File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | Block
struct | Line
struct | Global

## Namespaces

namespace | ftxui
namespace | ftxui::flexbox_helper

## Functions

void | Compute (Global &global)

## Data Structure Documentation

## ftxui::flexbox_helper::Block

struct ftxui::flexbox_helper::Block

Definition at line 13 of file flexbox_helper.hpp.

Data Fields
int | min_size_x = 0 |
int | min_size_y = 0 |
int | flex_grow_x = 0 |
int | flex_grow_y = 0 |
int | flex_shrink_x = 0 |
int | flex_shrink_y = 0 |
int | line {} |
int | line_position {} |
int | x = 0 |
int | y = 0 |
int | dim_x = 0 |
int | dim_y = 0 |
bool | overflow = false |

## ftxui::flexbox_helper::Line

struct ftxui::flexbox_helper::Line

Definition at line 33 of file flexbox_helper.hpp.

Data Fields
vector< Block * > | blocks |
int | x = 0 |
int | y = 0 |
int | dim_x = 0 |
int | dim_y = 0 |

## ftxui::flexbox_helper::Global

struct ftxui::flexbox_helper::Global

Definition at line 41 of file flexbox_helper.hpp.

Data Fields
vector< Block > | blocks |
vector< Line > | lines |
FlexboxConfig | config |
int | size_x |
int | size_y |